### Enumeration

# Gimp ProgressCommand

#### Declaration

    enum Gimp.ProgressCommand

#### Description [src]

Commands for the progress API.

#### Members

Name | Description
--- | ---
`GIMP_PROGRESS_COMMAND_START` | Start a progress.
`GIMP_PROGRESS_COMMAND_END` | End the progress.
`GIMP_PROGRESS_COMMAND_SET_TEXT` | Set the text.
`GIMP_PROGRESS_COMMAND_SET_VALUE` | Set the percentage.
`GIMP_PROGRESS_COMMAND_PULSE` | Pulse the progress.
`GIMP_PROGRESS_COMMAND_GET_WINDOW` | Get the window where the progress is shown.